efl::eina::_eo_array_access_traits Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures | Static Public Member Functions
efl::eina::_eo_array_access_traits Struct Reference

## Data Structures
struct | const_iterator
struct | iterator

## Static Public Member Functions
template<typename T >
static T & | back (Eina_Array *array)
template<typename T >
static T const & | back (Eina_Array const *array)
template<typename T >
static T & | front (Eina_Array *array)
template<typename T >
static T const & | front (Eina_Array const *array)
template<typename T >
static iterator< T >::type | begin (Eina_Array *array)
template<typename T >
static iterator< T >::type | end (Eina_Array *array)
template<typename T >
static const_iterator< T >::type | begin (Eina_Array const *array)
template<typename T >
static const_iterator< T >::type | end (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< typename iterator< T >::type > | rbegin (Eina_Array *array)
template<typename T >
static std::reverse_iterator< typename iterator< T >::type > | rend (Eina_Array *array)
template<typename T >
static std::reverse_iterator< typename const_iterator< T >::type > | rbegin (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< typename const_iterator< T >::type > | rend (Eina_Array const *array)
template<typename T >
static const_iterator< T >::type | cbegin (Eina_Array const *array)
template<typename T >
static const_iterator< T >::type | cend (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< typename const_iterator< T >::type > | crbegin (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< typename const_iterator< T >::type > | crend (Eina_Array const *array)
Static Public Member Functions inherited from efl::eina::_ptr_array_access_traits
template<typename T >
static Eina_Array * | native_handle_from_const (Eina_Array const *array)
template<typename T >
static T & | back (Eina_Array *array)
template<typename T >
static T const & | back (Eina_Array const *array)
template<typename T >
static T & | front (Eina_Array *array)
template<typename T >
static T const & | front (Eina_Array const *array)
template<typename T >
static T & | index (Eina_Array *array, std::size_t index)
template<typename T >
static T const & | index (Eina_Array const *array, std::size_t index)
template<typename T >
static _ptr_array_iterator< T > | begin (Eina_Array *array)
template<typename T >
static _ptr_array_iterator< T > | end (Eina_Array *array)
template<typename T >
static _ptr_array_iterator< T > | begin (Eina_Array const *array)
template<typename T >
static _ptr_array_iterator< T > | end (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T > > | rbegin (Eina_Array *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T > > | rend (Eina_Array *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T const > > | rbegin (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T const > > | rend (Eina_Array const *array)
template<typename T >
static _ptr_array_iterator< T const > | cbegin (Eina_Array const *array)
template<typename T >
static _ptr_array_iterator< T const > | cend (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T const > > | crbegin (Eina_Array const *array)
template<typename T >
static std::reverse_iterator< _ptr_array_iterator< T const > > | crend (Eina_Array const *array)
template<typename T >
static eina::iterator< T > | ibegin (Eina_Array *array)
template<typename T >
static eina::iterator< T > | iend (Eina_Array *)
template<typename T >
static eina::iterator< T const > | ibegin (Eina_Array const *array)
template<typename T >
static eina::iterator< T const > | iend (Eina_Array const *)
template<typename T >
static eina::iterator< T const > | cibegin (Eina_Array const *array)
template<typename T >
static eina::iterator< T const > | ciend (Eina_Array const *array)
template<typename T >
static std::size_t | size (Eina_Array const *array)
template<typename T >
static bool | empty (Eina_Array const *array)